Package twisted :: Package protocols :: Module ftp :: Class IDTPFactory

[frames | no frames]

## Class IDTPFactory

    object --+
             |
            IDTPFactory

An interface for protocol.Factories

Method Summary
| ``__init__`(self, pi, peerHost)` Constructor
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Instance Variable Summary
| `peerCheck`: perform checks to make sure the ftp-pi's peer is the same as the dtp's
| `pi`: a reference to this factory's protocol interpreter

Method Details

### __init__(self, pi, peerHost=None)
(Constructor)

Constructor

  Parameters:
    `pi` - this factory's protocol interpreter
    `peerHost` - if peerCheck is True, this is the tuple that the generated instance will use to perform security checks
  Overrides:
    `__builtin__.object.__init__`

Instance Variable Details

### peerCheck

perform checks to make sure the ftp-pi's peer is the same as the dtp's

### pi

a reference to this factory's protocol interpreter

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net